' === Switch2Tasks.bas =================================
' Program is a 2 task version of the SwitchChallenge.bas
' solution to this month's programming challenge.

' === Directives ====
  #com 6                 'specify com port
  #picaxe 08M2           'specify PICAXE processor
  #no_data               'save time downloading
  #terminal off          'disable the terminal window
  
' === Constants =====
  symbol LED0 = C.0      '"I'm alive" LED on C.0
  symbol LED4 = C.4      'switched LED on C.4

' === Variables =====
  symbol index = b0      'for/next loop counter
  symbol sw3 = pinC.3    'momentary switch on C.3

' === Begin Main Program ===============================
start0:
  pinsC = %00010111      'C.5 & C.3 are fixed as inputs
  pullup  %00001000      'enable pullup on pin C.3

  do
    high LED0            'briefly blink the C.0 LED
    pause 100
    low  LED0
    pause 4900           'to total 5 seconds per blink
  loop

start1:
  do
    if sw3 = 1 then      'if switch is not pressed then
      low  LED4          'turn off the C.4 LED
    else                 'else
      high LED4          'turn it on
    endif
  loop