' === SwitchChallenge.bas ================================
' This program is one possible solution to the programming
' challenge in the April 2013 Nuts & Volts PICAXE Primer.

' === Directives ====
  #com 6                    'specify com port
  #picaxe 08M2              'specify PICAXE processor
  #no_data                  'save time downloading
  #terminal off             'disable the terminal window
  
' === Constants =====
  symbol LED0 = C.0         '"I'm alive" LED on pin C.0
  symbol LED4 = C.4         'switched LED on C.4

' === Variables =====
  symbol index = b0         'for/next loop counter
  symbol sw3 = pinC.3       'momentary switch on pin C.3

' === Begin Main Program =================================
  pinsC = %00010111         'C.5 & C.3 are fixed as inputs
  pullup  %00001000         'enable pullup on pin C.3

do
  high LED0                 'briefly blink the C.0 LED
  pause 100
  low  LED0
  
  for index = 1 to 100
    if sw3 = 1 then         'if switch is not pressed then
      low  LED4             'turn off the C.2 LED
    else                    'else
      high LED4             'turn it on
    endif
    
    pause 49                '100 * 49mS = 4900mS
  next index
loop